> ## Documentation Index > Fetch the complete documentation index at: https://support.keypro.fi/llms.txt > Use this file to discover all available pages before exploring further. # Get list of circuit faults > Operation is used to get a list of circuit faults. Available from product version 3.6. ## OpenAPI ````json GET /circuit-faults/ { "info": { "contact": { "email": "keypro@keypro.fi", "name": "Keypro Oy", "url": "https://keypro.fi/" }, "license": { "name": "Copyright (C) Keypro Oy. All rights reserved.", "url": "https://www.keypro.fi/" }, "termsOfService": "https://www.keypro.fi/en/terms-of-service", "title": "KeyCom REST API", "version": "2.0.0" }, "tags": [ { "description": "Plan related operations.", "name": "Plan" }, { "description": "FreeArea related operations.", "name": "FreeArea" }, { "description": "FreeLine related operations.", "name": "FreeLine" }, { "description": "FreeText related operations.", "name": "FreeText" }, { "description": "FreeText component related operations.", "name": "FreeTextComponent" }, { "description": "Building address related operations.", "name": "Address" }, { "description": "Building apartments related operations.", "name": "Apartment" }, { "description": "Extra attributes related operations.", "name": "Extra Attribute" }, { "description": "Extra attribute values related operations.", "name": "Extra Value" }, { "description": "External documents related operations.", "name": "External Document" }, { "description": "Attached Documents related operations.", "name": "Attached Document" }, { "description": "Collection related operations.", "name": "Collections" }, { "description": "External source system derived apartment related operations.", "name": "Source system apartment" }, { "description": "External source system derived address related operations.", "name": "Source system address" }, { "description": "Address aliases related operations", "name": "Address alias" }, { "description": "TxtConstants related operations.", "name": "TxtConstant" }, { "description": "Point objects related operations.", "name": "Point" }, { "description": "Survey Constants related operations.", "name": "Survey Constant" }, { "description": "Survey Points related operations.", "name": "Survey Point" }, { "description": "Survey Line Strings related operations.", "name": "Survey Line String" }, { "description": "Template Catalog related operations.", "name": "Template Catalog" }, { "description": "Route following related operations.", "name": "Route Following" }, { "description": "Contact person related operations.", "name": "Contact Person" }, { "description": "Contact person connection related operations.", "name": "Contact Person Connection" }, { "description": "Telecom premises related operations.", "name": "Telecom premises" }, { "description": "Device related operations.", "name": "Device" }, { "description": "Device Group related operations.", "name": "Device Group" }, { "description": "Telecom Splice related operations.", "name": "Splice" }, { "description": "Telecom Conduit related operations.", "name": "Telecom Conduit" }, { "description": "Operations related to putting Telecom Cables and Ducts into Conduits.", "name": "Telecom Conduit Link" }, { "description": "Telecom Duct related operations.", "name": "Telecom Duct" }, { "description": "Operations related to putting Telecom Cables into Ducts.", "name": "Telecom Duct Link" }, { "description": "Operations related to connecting Conduits and endpoints.", "name": "Telecom Conduit Connection" }, { "description": "Operations related to connecting Cables and endpoints", "name": "Telecom Cable Connection" }, { "description": "Operations related to connecting and disconnecting telecom cable threads and device ports", "name": "Telecom Thread/Port Connection" }, { "description": "Operations related to connecting Telecom Ducts to Telecom Premises or Manhole.", "name": "Telecom Duct Connection" }, { "description": "Telecom Manhole related operations.", "name": "Manhole" }, { "description": "Telecom Cable related operations.", "name": "Cable" }, { "description": "Cable Appendix operations for connecting Cables to loops. Manages the relationship between Cables and loops, automatically adjusting Cable extra_length when appendixes are created, updated, or deleted.", "name": "Cable Appendix" }, { "description": "Telecom Supercable related operations.", "name": "Supercable" }, { "description": "Cross connection point related operations.", "name": "Cross connection point" }, { "description": "Service Area related operations.", "name": "Service Area" }, { "description": "Exchange Area related operations.", "name": "Exchange Area" }, { "description": "Telecom Area related operations.", "name": "Telecom Area" }, { "description": "Routefollower related operations.", "name": "Routefollower" }, { "description": "Circuit related operations.", "name": "Circuit" }, { "description": "Circuit installation location related operations.", "name": "Circuit Location" }, { "description": "Circuit section related operations.", "name": "Circuit Section" }, { "description": "Circuit reservation data view and search operations.", "name": "Circuit Reservation Data" }, { "description": "Customer data related operations.", "name": "Customer" }, { "description": "Passed Services related operations.", "name": "Passed Services" }, { "description": "Circuit logical reservations related operations.", "name": "Circuit Connection" }, { "description": "Circuit physical reservations related operations.", "name": "Circuit Physical Reservation" }, { "description": "Operation used to create new connections.", "name": "Create connections" }, { "description": "Terminal types related operations.", "name": "Terminal type" }, { "description": "Logical connections related operations.", "name": "Logical connections" }, { "description": "Operations provided by micro services.", "name": "Circuit Services" }, { "description": "Contract related operations.", "name": "Contract" }, { "description": "Contract link related operations.", "name": "Contract Link" }, { "description": "Pole related operations.", "name": "Pole" }, { "description": "Circuit faults related operations.", "name": "Circuit faults" }, { "description": "Duct groups related operations.", "name": "Duct groups" }, { "description": "Duct group rows related operations.", "name": "Duct group rows" }, { "description": "Cable thread related operations.", "name": "Threads" }, { "description": "Task related operations.", "name": "Task" }, { "description": "Subregion related operations.", "name": "Subregion" }, { "description": "SAttribute related operations.", "name": "SAttribute" }, { "description": "Fault related operations.", "name": "Fault" }, { "description": "Maintenance history related operations.", "name": "Maintenance history" }, { "description": "Deflection related operations.", "name": "Deflection" }, { "description": "Fault Component related operations.", "name": "Fault Component" }, { "description": "Task comment related operations.", "name": "Task Comment" }, { "description": "FaultComponentFault related operations.", "name": "FaultComponentFault" } ], "paths": { "/circuit-faults/": { "get": { "description": "Operation is used to get a list of circuit faults. Available from product version 3.6.\n", "operationId": "getCircuitFault", "parameters": [ { "$ref": "#/parameters/offsetParam" }, { "$ref": "#/parameters/limitParam" }, { "$ref": "#/parameters/srsParam" }, { "$ref": "#/parameters/precisionParam" }, { "$ref": "#/parameters/dimsParam" }, { "$ref": "#/parameters/filterParam" }, { "$ref": "#/parameters/orderParam" } ], "responses": { "200": { "description": "A result response object.", "examples": { "application/json": { "Next": "https://keycom.example.fi/api/v2/circuit-faults/?limit=10&offset=10", "Previous": null, "Results": [ { "circuit": { "areaCode": "", "contractLength": null, "contractNumber": "54321", "createdBy": "keycom.user@keypro.fi", "createdTs": "2017-01-11T18:00:19", "customer": { "address": { "address": { "apartments": [ "https://keycom.example.fi/api/v2/apartments/14096/" ], "buildingId": "", "city": "PORVOO", "cityAlt": "", "country": "", "createdBy": "keycom.user@keypro.fi", "createdTs": "2018-01-11T18:00:21", "district": "", "empty": "0", "id": "230950", "listUrl": "https://keycom.example.fi/api/v2/addresses/", "location": null, "municipality": "", "propertyId": "", "province": "", "sourceSystem": null, "sourceSystemKey": null, "streetname": "ERÄMIEHENKATU", "streetnameAlt": "", "streetno": "10", "subdivision": "", "updatedBy": "keycom.user@keypro.fi", "updatedTs": "2018-01-11T18:00:21", "usagePurpose": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "BUILDING_USAGE", "id": "233970", "list_url": "https://keycom.example.fi/api/v2/txt_constants/groupname/BUILDING_USAGE/", "logical_txt": "Asuinrakennus", "num_value": null, "num_value2": null, "num_value3": "1.0", "num_value4": null, "txt": "Residential building" }, "usagePurposeAlt": null, "zipcode": "06100" }, "apartmentDivision": "", "apartmentLetter": "", "apartmentNumber": "", "empty": "1", "id": "14096", "listUrl": "/api/v2/apartments/", "originProperty": "//0000000014096", "originalStreetno": "10", "sourceSystem": null, "sourceSystemKey": null, "usagePurpose": null, "usagePurposeAlt": null, "usageState": null }, "addressAlt": { "address": { "apartments": [ "https://keycom.example.fi/api/v2/apartments/1615/" ], "buildingId": "", "city": "", "cityAlt": "", "country": "", "createdBy": "keycom.user@keypro.fi", "createdTs": "2017-01-11T18:00:19", "district": "", "empty": "0", "id": "505030", "listUrl": "https://keycom.example.fi/api/v2/addresses/", "location": null, "municipality": "", "propertyId": "", "province": "", "sourceSystem": null, "sourceSystemKey": null, "streetname": "", "streetnameAlt": "", "streetno": "", "subdivision": "", "updatedBy": "keycom.user@keypro.fi", "updatedTs": "2018-01-11T18:00:19", "usagePurpose": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "BUILDING_USAGE", "id": "233970", "list_url": "https://keycom.example.fi/api/v2/txt_constants/groupname/BUILDING_USAGE/", "logical_txt": "Asuinrakennus", "num_value": null, "num_value2": null, "num_value3": "1.0", "num_value4": null, "txt": "Residential building" }, "usagePurposeAlt": null, "zipcode": "" }, "apartmentDivision": "", "apartmentLetter": "", "apartmentNumber": "", "empty": "1", "id": "1615", "listUrl": "/api/v2/apartments/", "originProperty": "//0000000001615", "originalStreetno": "", "sourceSystem": null, "sourceSystemKey": null, "usagePurpose": null, "usagePurposeAlt": null, "usageState": null }, "billingName": "", "businessId": "", "createdBy": "", "createdTs": null, "email": "", "id": "35954461", "listUrl": "https://keycom.example.fi/api/v2/customers/", "mobilePhone": "", "name": "& Lpo-Lta", "number": "35954461", "phone": "019 5230928", "smsProhibited": null, "telefax": "", "type": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "KN_CUST_TYPE", "id": "6010", "list_url": "https://keycom.example.fi/api/v2/txt_constants/groupname/KN_CUST_TYPE/", "logical_txt": "Yksityishenkilö", "num_value": "1.0", "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Private" }, "updatedBy": "", "updatedTs": null }, "directLength": null, "id": "56376", "identifier": "LTEST_YHT-56376", "identifierAlt": "", "importance": null, "installationAddresses": [ "https://keycom.example.fi/api/v2/circuitlocations/40918870/" ], "length": null, "listUrl": "https://keycom.example.fi/api/v2/circuits/", "orderNumber": "12345", "organisation": null, "redundancy": null, "sections": [ { "constructionState": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "KN_CONST_STATE", "id": "6050", "list_url": "https://keycom.example.fi/api/v2/txt_constants/groupname/KN_CONST_STATE/", "logical_txt": "Valmis", "num_value": "1.0", "num_value2": "1.0", "num_value3": null, "num_value4": null, "txt": "Ready" }, "id": "62201", "listUrl": "https://keycom.example.fi/api/v2/sections/", "name": "A", "usagePurpose": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "USAGE", "id": "236930", "list_url": "https://keycom.example.fi/api/v2/txt_constants/groupname/USAGE/", "logical_txt": "LAAJAK 8/1", "num_value": "99.0", "num_value2": "1.0", "num_value3": null, "num_value4": null, "txt": "LAAJAK 8/1" }, "usageState": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "KN_USAGE_STATE", "id": "6310", "list_url": "https://keycom.example.fi/api/v2/txt_constants/groupname/KN_USAGE_STATE/", "logical_txt": "Käytössä", "num_value": "2.0", "num_value2": "1.0", "num_value3": null, "num_value4": null, "txt": "In use" } } ], "updatedBy": "keycom.user@keypro.fi", "updatedTs": "2018-01-11T18:00:19" }, "createdBy": "keycom.user@keypro.fi", "createdTs": "2013-05-13T16:02:59", "description": "test", "distance": null, "id": "410", "location": null, "logState": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "CIRCUIT_LOG_STATE", "id": "6770", "list_url": "https://keycom.example.fi/api/v2/txt_constants/groupname/CIRCUIT_LOG_STATE/", "logical_txt": "Ilmoitettu", "num_value": null, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Informed" }, "logType": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "CIRCUIT_LOG_ENTRY", "id": "6690", "list_url": "https://keycom.example.fi/api/v2/txt_constants/groupname/CIRCUIT_LOG_ENTRY/", "logical_txt": "Rätisee", "num_value": null, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Cracking" }, "loss": null, "routeLocation": null, "sourceSystem": null, "sourceSystemKey": null, "updatedBy": "keycom.user@keypro.fi", "updatedTs": "2014-05-13T16:02:59" }, { "circuit": { "areaCode": "", "contractLength": null, "contractNumber": "54321", "createdBy": "keycom.user@keypro.fi", "createdTs": "2013-03-26", "customer": { "address": { "address": { "apartments": [ "https://keycom.example.fi/api/v2/apartments/14096/" ], "buildingId": "", "city": "PORVOO", "cityAlt": "", "country": "", "createdBy": "keycom.user@keypro.fi", "createdTs": "2013-05-13T16:02:59", "district": "", "empty": "0", "id": "230950", "listUrl": "https://keycom.example.fi/api/v2/addresses/", "location": null, "municipality": "", "propertyId": "", "province": "", "sourceSystem": null, "sourceSystemKey": null, "streetname": "ERÄMIEHENKATU", "streetnameAlt": "", "streetno": "10", "subdivision": "", "updatedBy": "keycom.user@keypro.fi", "updatedTs": "2018-01-11T18:00:21", "usagePurpose": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "BUILDING_USAGE", "id": "233970", "list_url": "https://keycom.example.fi/api/v2/txt_constants/groupname/BUILDING_USAGE/", "logical_txt": "Asuinrakennus", "num_value": null, "num_value2": null, "num_value3": "1.0", "num_value4": null, "txt": "Residential building" }, "usagePurposeAlt": null, "zipcode": "06100" }, "apartmentDivision": "", "apartmentLetter": "", "apartmentNumber": "", "empty": "1", "id": "14096", "listUrl": "/api/v2/apartments/", "originProperty": "//0000000014096", "originalStreetno": "10", "sourceSystem": null, "sourceSystemKey": null, "usagePurpose": null, "usagePurposeAlt": null, "usageState": null }, "addressAlt": { "address": { "apartments": [ "https://keycom.example.fi/api/v2/apartments/1615/" ], "buildingId": "", "city": "", "cityAlt": "", "country": "", "createdBy": "keycom.user@keypro.fi", "createdTs": "2013-05-13T16:02:59", "district": "", "empty": "0", "id": "505030", "listUrl": "https://keycom.example.fi/api/v2/addresses/", "location": null, "municipality": "", "propertyId": "", "province": "", "sourceSystem": null, "sourceSystemKey": null, "streetname": "", "streetnameAlt": "", "streetno": "", "subdivision": "", "updatedBy": "keycom.user@keypro.fi", "updatedTs": "2018-01-11T18:00:19", "usagePurpose": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "BUILDING_USAGE", "id": "233970", "list_url": "https://keycom.example.fi/api/v2/txt_constants/groupname/BUILDING_USAGE/", "logical_txt": "Asuinrakennus", "num_value": null, "num_value2": null, "num_value3": "1.0", "num_value4": null, "txt": "Residential building" }, "usagePurposeAlt": null, "zipcode": "" }, "apartmentDivision": "", "apartmentLetter": "", "apartmentNumber": "", "empty": "1", "id": "1615", "listUrl": "/api/v2/apartments/", "originProperty": "//0000000001615", "originalStreetno": "", "sourceSystem": null, "sourceSystemKey": null, "usagePurpose": null, "usagePurposeAlt": null, "usageState": null }, "billingName": "", "businessId": "", "createdBy": "", "createdTs": null, "email": "", "id": "35954461", "listUrl": "https://keycom.example.fi/api/v2/customers/", "mobilePhone": "", "name": "& Lpo-Lta", "number": "35954461", "phone": "019 5230928", "smsProhibited": null, "telefax": "", "type": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "KN_CUST_TYPE", "id": "6010", "list_url": "https://keycom.example.fi/api/v2/txt_constants/groupname/KN_CUST_TYPE/", "logical_txt": "Yksityishenkilö", "num_value": "1.0", "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Private" }, "updatedBy": "", "updatedTs": null }, "directLength": null, "id": "56376", "identifier": "LTEST_YHT-56376", "identifierAlt": "", "importance": null, "installationAddresses": [ "https://keycom.example.fi/api/v2/circuitlocations/40918870/" ], "length": null, "listUrl": "https://keycom.example.fi/api/v2/circuits/", "orderNumber": "12345", "organisation": null, "redundancy": null, "sections": [ { "constructionState": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "KN_CONST_STATE", "id": "6050", "list_url": "https://keycom.example.fi/api/v2/txt_constants/groupname/KN_CONST_STATE/", "logical_txt": "Valmis", "num_value": "1.0", "num_value2": "1.0", "num_value3": null, "num_value4": null, "txt": "Ready" }, "id": "62201", "listUrl": "https://keycom.example.fi/api/v2/sections/", "name": "A", "usagePurpose": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "USAGE", "id": "236930", "list_url": "https://keycom.example.fi/api/v2/txt_constants/groupname/USAGE/", "logical_txt": "LAAJAK 8/1", "num_value": "99.0", "num_value2": "1.0", "num_value3": null, "num_value4": null, "txt": "LAAJAK 8/1" }, "usageState": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "KN_USAGE_STATE", "id": "6310", "list_url": "https://keycom.example.fi/api/v2/txt_constants/groupname/KN_USAGE_STATE/", "logical_txt": "Käytössä", "num_value": "2.0", "num_value2": "1.0", "num_value3": null, "num_value4": null, "txt": "In use" } } ], "updatedBy": "keycom.user@keypro.fi", "updatedTs": "2017-09-19" }, "createdBy": "keycom.user@keypro.fi", "createdTs": "2013-05-13T16:11:07", "description": "", "distance": null, "id": "430", "location": null, "logState": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "CIRCUIT_LOG_STATE", "id": "6790", "list_url": "https://keycom.example.fi/api/v2/txt_constants/groupname/CIRCUIT_LOG_STATE/", "logical_txt": "Työn alla", "num_value": null, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Under work" }, "logType": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "CIRCUIT_LOG_ENTRY", "id": "6710", "list_url": "https://keycom.example.fi/api/v2/txt_constants/groupname/CIRCUIT_LOG_ENTRY/", "logical_txt": "Ylikuuluminen", "num_value": null, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Crosstalk" }, "loss": null, "routeLocation": null, "sourceSystem": null, "sourceSystemKey": null, "updatedBy": "", "updatedTs": null }, { "circuit": { "areaCode": "", "contractLength": null, "contractNumber": "12345", "createdBy": "keycom.user@keypro.fi", "createdTs": "2013-03-26", "customer": null, "directLength": null, "id": "56375", "identifier": "LTEST_YHT-56375", "identifierAlt": "", "importance": null, "installationAddresses": [ "https://keycom.example.fi/api/v2/circuitlocations/40919310/", "https://keycom.example.fi/api/v2/circuitlocations/40918470/" ], "length": null, "listUrl": "https://keycom.example.fi/api/v2/circuits/", "orderNumber": "54321", "organisation": null, "redundancy": null, "sections": [ { "constructionState": null, "id": "62181", "listUrl": "https://keycom.example.fi/api/v2/sections/", "name": "A", "usagePurpose": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "USAGE", "id": "236930", "list_url": "https://keycom.example.fi/api/v2/txt_constants/groupname/USAGE/", "logical_txt": "LAAJAK 8/1", "num_value": "99.0", "num_value2": "1.0", "num_value3": null, "num_value4": null, "txt": "LAAJAK 8/1" }, "usageState": null } ], "updatedBy": "keycom.user@keypro.fi", "updatedTs": "2013-06-17" }, "createdBy": "keycom.user@keypro.fi", "createdTs": "2013-05-13T16:11:22", "description": "", "distance": null, "id": "450", "location": null, "logState": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "CIRCUIT_LOG_STATE", "id": "6810", "list_url": "https://keycom.example.fi/api/v2/txt_constants/groupname/CIRCUIT_LOG_STATE/", "logical_txt": "Valmis", "num_value": null, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Ready" }, "logType": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "CIRCUIT_LOG_ENTRY", "id": "6730", "list_url": "https://keycom.example.fi/api/v2/txt_constants/groupname/CIRCUIT_LOG_ENTRY/", "logical_txt": "Yhteys poikki", "num_value": null, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Circuit disconnected" }, "loss": null, "routeLocation": null, "sourceSystem": null, "sourceSystemKey": null, "updatedBy": "", "updatedTs": null }, { "circuit": { "areaCode": "", "contractLength": null, "contractNumber": "", "createdBy": "keycom.user@keypro.fi", "createdTs": "2014-02-26", "customer": null, "directLength": null, "id": "56785", "identifier": "testiyhteys2", "identifierAlt": "", "importance": null, "installationAddresses": [], "length": null, "listUrl": "https://keycom.example.fi/api/v2/circuits/", "orderNumber": "", "organisation": null, "redundancy": null, "sections": [ { "constructionState": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "KN_CONST_STATE", "id": "6050", "list_url": "https://keycom.example.fi/api/v2/txt_constants/groupname/KN_CONST_STATE/", "logical_txt": "Valmis", "num_value": "1.0", "num_value2": "1.0", "num_value3": null, "num_value4": null, "txt": "Ready" }, "id": "71441", "listUrl": "https://keycom.example.fi/api/v2/sections/", "name": "1", "usagePurpose": null, "usageState": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "KN_USAGE_STATE", "id": "6310", "list_url": "https://keycom.example.fi/api/v2/txt_constants/groupname/KN_USAGE_STATE/", "logical_txt": "Käytössä", "num_value": "2.0", "num_value2": "1.0", "num_value3": null, "num_value4": null, "txt": "In use" } } ], "updatedBy": "keycom.user@keypro.fi", "updatedTs": "2014-03-28" }, "createdBy": "keycom.user@keypro.fi", "createdTs": "2014-03-07T00:00:00", "description": "", "distance": "5.555", "id": "810", "location": null, "logState": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "CIRCUIT_LOG_STATE", "id": "6810", "list_url": "https://keycom.example.fi/api/v2/txt_constants/groupname/CIRCUIT_LOG_STATE/", "logical_txt": "Valmis", "num_value": null, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Ready" }, "logType": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "CIRCUIT_LOG_ENTRY", "id": "6690", "list_url": "https://keycom.example.fi/api/v2/txt_constants/groupname/CIRCUIT_LOG_ENTRY/", "logical_txt": "Rätisee", "num_value": null, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Cracking" }, "loss": "3.6", "routeLocation": null, "sourceSystem": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "SOURCE_SYSTEM", "id": "260471", "list_url": "https://keycom.example.fi/api/v2/txt_constants/groupname/SOURCE_SYSTEM/", "logical_txt": "Test", "num_value": "1.0", "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Test" }, "sourceSystemKey": "555", "updatedBy": "keycom.user@keypro.fi", "updatedTs": "2022-08-03T18:00:27" }, { "circuit": { "areaCode": "", "contractLength": null, "contractNumber": "", "createdBy": "keycom.user@keypro.fi", "createdTs": "2014-02-26", "customer": null, "directLength": null, "id": "56785", "identifier": "testiyhteys2", "identifierAlt": "", "importance": null, "installationAddresses": [], "length": null, "listUrl": "https://keycom.example.fi/api/v2/circuits/", "orderNumber": "", "organisation": null, "redundancy": null, "sections": [ { "constructionState": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "KN_CONST_STATE", "id": "6050", "list_url": "https://keycom.example.fi/api/v2/txt_constants/groupname/KN_CONST_STATE/", "logical_txt": "Valmis", "num_value": "1.0", "num_value2": "1.0", "num_value3": null, "num_value4": null, "txt": "Ready" }, "id": "71441", "listUrl": "https://keycom.example.fi/api/v2/sections/", "name": "1", "usagePurpose": null, "usageState": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "KN_USAGE_STATE", "id": "6310", "list_url": "https://keycom.example.fi/api/v2/txt_constants/groupname/KN_USAGE_STATE/", "logical_txt": "Käytössä", "num_value": "2.0", "num_value2": "1.0", "num_value3": null, "num_value4": null, "txt": "In use" } } ], "updatedBy": "keycom.user@keypro.fi", "updatedTs": "2014-03-28" }, "createdBy": "keycom.user@keypro.fi", "createdTs": "2014-03-07T00:00:00", "description": "", "distance": null, "id": "830", "location": null, "logState": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "CIRCUIT_LOG_STATE", "id": "6770", "list_url": "https://keycom.example.fi/api/v2/txt_constants/groupname/CIRCUIT_LOG_STATE/", "logical_txt": "Ilmoitettu", "num_value": null, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Informed" }, "logType": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "CIRCUIT_LOG_ENTRY", "id": "6710", "list_url": "https://keycom.example.fi/api/v2/txt_constants/groupname/CIRCUIT_LOG_ENTRY/", "logical_txt": "Ylikuuluminen", "num_value": null, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Crosstalk" }, "loss": null, "routeLocation": null, "sourceSystem": null, "sourceSystemKey": null, "updatedBy": "", "updatedTs": null }, { "circuit": { "areaCode": "", "contractLength": null, "contractNumber": "", "createdBy": "keycom.user@keypro.fi", "createdTs": "2014-05-08", "customer": null, "directLength": null, "id": "56950", "identifier": "YHT-56950", "identifierAlt": "", "importance": null, "installationAddresses": [ "https://keycom.example.fi/api/v2/circuitlocations/40925790/" ], "length": null, "listUrl": "https://keycom.example.fi/api/v2/circuits/", "orderNumber": "", "organisation": null, "redundancy": null, "sections": [ { "constructionState": null, "id": "77541", "listUrl": "https://keycom.example.fi/api/v2/sections/", "name": "VB14", "usagePurpose": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "USAGE", "id": "14870", "list_url": "https://keycom.example.fi/api/v2/txt_constants/groupname/USAGE/", "logical_txt": "15 Laajakaista PLUS", "num_value": "15.0", "num_value2": null, "num_value3": null, "num_value4": null, "txt": "15 Laajakaista PLUS" }, "usageState": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "KN_USAGE_STATE", "id": "6370", "list_url": "https://keycom.example.fi/api/v2/txt_constants/groupname/KN_USAGE_STATE/", "logical_txt": "Nimikko", "num_value": "5.0", "num_value2": "1.0", "num_value3": null, "num_value4": null, "txt": "Pre-connected" } } ], "updatedBy": "keycom.user@keypro.fi", "updatedTs": "2014-05-09" }, "createdBy": "keycom.user@keypro.fi", "createdTs": "2014-05-08T00:00:00", "description": "", "distance": null, "id": "1210", "location": null, "logState": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "CIRCUIT_LOG_STATE", "id": "6770", "list_url": "https://keycom.example.fi/api/v2/txt_constants/groupname/CIRCUIT_LOG_STATE/", "logical_txt": "Ilmoitettu", "num_value": null, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Informed" }, "logType": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "CIRCUIT_LOG_ENTRY", "id": "6690", "list_url": "https://keycom.example.fi/api/v2/txt_constants/groupname/CIRCUIT_LOG_ENTRY/", "logical_txt": "Rätisee", "num_value": null, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Cracking" }, "loss": null, "routeLocation": null, "sourceSystem": null, "sourceSystemKey": null, "updatedBy": "keycom.user@keypro.fi", "updatedTs": "2015-05-13T16:02:59" }, { "circuit": { "areaCode": "", "contractLength": null, "contractNumber": "", "createdBy": "keycom.user@keypro.fi", "createdTs": "2014-08-08", "customer": null, "directLength": null, "id": "57148", "identifier": "YHT_UKON1", "identifierAlt": "", "importance": null, "installationAddresses": [], "length": null, "listUrl": "https://keycom.example.fi/api/v2/circuits/", "orderNumber": "", "organisation": null, "redundancy": null, "sections": [ { "constructionState": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "KN_CONST_STATE", "id": "6050", "list_url": "https://keycom.example.fi/api/v2/txt_constants/groupname/KN_CONST_STATE/", "logical_txt": "Valmis", "num_value": "1.0", "num_value2": "1.0", "num_value3": null, "num_value4": null, "txt": "Ready" }, "id": "81501", "listUrl": "https://keycom.example.fi/api/v2/sections/", "name": "", "usagePurpose": null, "usageState": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "KN_USAGE_STATE", "id": "6310", "list_url": "https://keycom.example.fi/api/v2/txt_constants/groupname/KN_USAGE_STATE/", "logical_txt": "Käytössä", "num_value": "2.0", "num_value2": "1.0", "num_value3": null, "num_value4": null, "txt": "In use" } } ], "updatedBy": "keycom.user@keypro.fi", "updatedTs": "2014-08-14" }, "createdBy": "keycom.user@keypro.fi", "createdTs": "2014-08-14T00:00:00", "description": "", "distance": null, "id": "1610", "location": null, "logState": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "CIRCUIT_LOG_STATE", "id": "6770", "list_url": "https://keycom.example.fi/api/v2/txt_constants/groupname/CIRCUIT_LOG_STATE/", "logical_txt": "Ilmoitettu", "num_value": null, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Informed" }, "logType": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "CIRCUIT_LOG_ENTRY", "id": "6690", "list_url": "https://keycom.example.fi/api/v2/txt_constants/groupname/CIRCUIT_LOG_ENTRY/", "logical_txt": "Rätisee", "num_value": null, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Cracking" }, "loss": null, "routeLocation": null, "sourceSystem": null, "sourceSystemKey": null, "updatedBy": "keycom.user@keypro.fi", "updatedTs": "2015-05-13T16:02:59" }, { "circuit": { "areaCode": "", "contractLength": null, "contractNumber": "", "createdBy": "keycom.user@keypro.fi", "createdTs": "2013-05-13", "customer": { "address": { "address": { "apartments": [ "https://keycom.example.fi/api/v2/apartments/2419/" ], "buildingId": "1", "city": "LOVIISA", "cityAlt": "", "country": "", "createdBy": "keycom.user@keypro.fi", "createdTs": "2013-05-13T16:02:59", "district": "", "empty": "0", "id": "72330", "listUrl": "https://keycom.example.fi/api/v2/addresses/", "location": "SRID=3067;POINT (457067.9121 6702636.342)", "municipality": "", "propertyId": "43400100010008", "province": "", "sourceSystem": null, "sourceSystemKey": null, "streetname": "JAKOB FORSELLINKATU", "streetnameAlt": "", "streetno": "8", "subdivision": "", "updatedBy": "keycom.user@keypro.fi", "updatedTs": "2015-05-13T16:02:59", "usagePurpose": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "BUILDING_USAGE", "id": "233970", "list_url": "https://keycom.example.fi/api/v2/txt_constants/groupname/BUILDING_USAGE/", "logical_txt": "Asuinrakennus", "num_value": null, "num_value2": null, "num_value3": "1.0", "num_value4": null, "txt": "Residential building" }, "usagePurposeAlt": null, "zipcode": "07900" }, "apartmentDivision": "", "apartmentLetter": "", "apartmentNumber": "", "empty": "1", "id": "2419", "listUrl": "/api/v2/apartments/", "originProperty": "//4340000002419", "originalStreetno": "8", "sourceSystem": null, "sourceSystemKey": null, "usagePurpose": null, "usagePurposeAlt": null, "usageState": null }, "addressAlt": null, "billingName": "", "businessId": "", "createdBy": "", "createdTs": null, "email": "", "id": "35766021", "listUrl": "https://keycom.example.fi/api/v2/customers/", "mobilePhone": "", "name": "Myrskylän Kunta", "number": "35766021", "phone": "019 509180", "smsProhibited": null, "telefax": "", "type": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "KN_CUST_TYPE", "id": "6030", "list_url": "https://keycom.example.fi/api/v2/txt_constants/groupname/KN_CUST_TYPE/", "logical_txt": "Yritys", "num_value": "2.0", "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Company" }, "updatedBy": "", "updatedTs": null }, "directLength": null, "id": "38911681", "identifier": "019 509180", "identifierAlt": "", "importance": null, "installationAddresses": [ "https://keycom.example.fi/api/v2/circuitlocations/40754030/" ], "length": null, "listUrl": "https://keycom.example.fi/api/v2/circuits/", "orderNumber": "", "organisation": null, "redundancy": null, "sections": [ { "constructionState": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "KN_CONST_STATE", "id": "6050", "list_url": "https://keycom.example.fi/api/v2/txt_constants/groupname/KN_CONST_STATE/", "logical_txt": "Valmis", "num_value": "1.0", "num_value2": "1.0", "num_value3": null, "num_value4": null, "txt": "Ready" }, "id": "41259562", "listUrl": "https://keycom.example.fi/api/v2/sections/", "name": "0", "usagePurpose": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "USAGE", "id": "14890", "list_url": "https://keycom.example.fi/api/v2/txt_constants/groupname/USAGE/", "logical_txt": "16 perusliittymä", "num_value": "16.0", "num_value2": null, "num_value3": null, "num_value4": null, "txt": "16 perusliittymä" }, "usageState": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "KN_USAGE_STATE", "id": "6310", "list_url": "https://keycom.example.fi/api/v2/txt_constants/groupname/KN_USAGE_STATE/", "logical_txt": "Käytössä", "num_value": "2.0", "num_value2": "1.0", "num_value3": null, "num_value4": null, "txt": "In use" } } ], "updatedBy": "keycom.user@keypro.fi", "updatedTs": "2014-10-27" }, "createdBy": "keycom.user@keypro.fi", "createdTs": "2014-10-06T00:00:00", "description": "Yhteys hidastelee, asiakas kokeillut kahdella päätelaitteella.", "distance": null, "id": "2410", "location": null, "logState": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "CIRCUIT_LOG_STATE", "id": "6770", "list_url": "https://keycom.example.fi/api/v2/txt_constants/groupname/CIRCUIT_LOG_STATE/", "logical_txt": "Ilmoitettu", "num_value": null, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Informed" }, "logType": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "CIRCUIT_LOG_ENTRY", "id": "275990", "list_url": "https://keycom.example.fi/api/v2/txt_constants/groupname/CIRCUIT_LOG_ENTRY/", "logical_txt": "Yhteys hidas", "num_value": null, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Slow connection" }, "loss": null, "routeLocation": null, "sourceSystem": null, "sourceSystemKey": null, "updatedBy": "keycom.user@keypro.fi", "updatedTs": "2015-05-13T16:02:59" }, { "circuit": { "areaCode": "", "contractLength": null, "contractNumber": "", "createdBy": "keycom.user@keypro.fi", "createdTs": "2013-05-13", "customer": { "address": { "address": { "apartments": [ "https://keycom.example.fi/api/v2/apartments/5254/" ], "buildingId": "1", "city": "LOVIISA", "cityAlt": "", "country": "", "createdBy": "", "createdTs": null, "district": "", "empty": "0", "id": "7610", "listUrl": "https://keycom.example.fi/api/v2/addresses/", "location": "SRID=3067;POINT (457307.8178 6702306.4775)", "municipality": "", "propertyId": "43400300370180", "province": "", "sourceSystem": null, "sourceSystemKey": null, "streetname": "KIRKKOKATU", "streetnameAlt": "", "streetno": "9", "subdivision": "", "updatedBy": "", "updatedTs": null, "usagePurpose": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "BUILDING_USAGE", "id": "233970", "list_url": "https://keycom.example.fi/api/v2/txt_constants/groupname/BUILDING_USAGE/", "logical_txt": "Asuinrakennus", "num_value": null, "num_value2": null, "num_value3": "1.0", "num_value4": null, "txt": "Residential building" }, "usagePurposeAlt": null, "zipcode": "07900" }, "apartmentDivision": "", "apartmentLetter": "", "apartmentNumber": "", "empty": "1", "id": "5254", "listUrl": "/api/v2/apartments/", "originProperty": "//4340000005254", "originalStreetno": "9", "sourceSystem": null, "sourceSystemKey": null, "usagePurpose": null, "usagePurposeAlt": null, "usageState": null }, "addressAlt": { "address": { "apartments": [ "https://keycom.example.fi/api/v2/apartments/919/" ], "buildingId": "", "city": "PORVOO", "cityAlt": "", "country": "", "createdBy": "keycom.user@keypro.fi", "createdTs": "2013-05-13T16:02:59", "district": "", "empty": "0", "id": "97290", "listUrl": "https://keycom.example.fi/api/v2/addresses/", "location": null, "municipality": "", "propertyId": "", "province": "", "sourceSystem": null, "sourceSystemKey": null, "streetname": "PL 23", "streetnameAlt": "", "streetno": "", "subdivision": "", "updatedBy": "keycom.user@keypro.fi", "updatedTs": "2018-01-11T18:00:19", "usagePurpose": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "BUILDING_USAGE", "id": "233970", "list_url": "https://keycom.example.fi/api/v2/txt_constants/groupname/BUILDING_USAGE/", "logical_txt": "Asuinrakennus", "num_value": null, "num_value2": null, "num_value3": "1.0", "num_value4": null, "txt": "Residential building" }, "usagePurposeAlt": null, "zipcode": "06101" }, "apartmentDivision": "", "apartmentLetter": "", "apartmentNumber": "", "empty": "1", "id": "919", "listUrl": "/api/v2/apartments/", "originProperty": "//0000000000919", "originalStreetno": "", "sourceSystem": null, "sourceSystemKey": null, "usagePurpose": null, "usagePurposeAlt": null, "usageState": null }, "billingName": "PORVOON KAUPUNKI", "businessId": "", "createdBy": "keycom.user@keypro.fi", "createdTs": "2013-05-13T16:02:59", "email": "", "id": "35825101", "listUrl": "https://keycom.example.fi/api/v2/customers/", "mobilePhone": "", "name": "Simolin Raimo", "number": "35825101", "phone": "019 531278", "smsProhibited": null, "telefax": "", "type": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "KN_CUST_TYPE", "id": "6010", "list_url": "https://keycom.example.fi/api/v2/txt_constants/groupname/KN_CUST_TYPE/", "logical_txt": "Yksityishenkilö", "num_value": "1.0", "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Private" }, "updatedBy": "keycom.user@keypro.fi", "updatedTs": "2014-05-13T16:02:59" }, "directLength": null, "id": "38934561", "identifier": "019 531278", "identifierAlt": "", "importance": null, "installationAddresses": [ "https://keycom.example.fi/api/v2/circuitlocations/40797670/" ], "length": null, "listUrl": "https://keycom.example.fi/api/v2/circuits/", "orderNumber": "", "organisation": null, "redundancy": null, "sections": [ { "constructionState": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "KN_CONST_STATE", "id": "6050", "list_url": "https://keycom.example.fi/api/v2/txt_constants/groupname/KN_CONST_STATE/", "logical_txt": "Valmis", "num_value": "1.0", "num_value2": "1.0", "num_value3": null, "num_value4": null, "txt": "Ready" }, "id": "41282782", "listUrl": "https://keycom.example.fi/api/v2/sections/", "name": "0", "usagePurpose": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "USAGE", "id": "14890", "list_url": "https://keycom.example.fi/api/v2/txt_constants/groupname/USAGE/", "logical_txt": "16 perusliittymä", "num_value": "16.0", "num_value2": null, "num_value3": null, "num_value4": null, "txt": "16 perusliittymä" }, "usageState": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "KN_USAGE_STATE", "id": "6310", "list_url": "https://keycom.example.fi/api/v2/txt_constants/groupname/KN_USAGE_STATE/", "logical_txt": "Käytössä", "num_value": "2.0", "num_value2": "1.0", "num_value3": null, "num_value4": null, "txt": "In use" } } ], "updatedBy": "keycom.user@keypro.fi", "updatedTs": "2014-10-27" }, "createdBy": "keycom.user@keypro.fi", "createdTs": "2014-10-21T00:00:00", "description": "Yhteys lopettanut toimintansa aamulla.", "distance": null, "id": "2450", "location": null, "logState": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "CIRCUIT_LOG_STATE", "id": "6770", "list_url": "https://keycom.example.fi/api/v2/txt_constants/groupname/CIRCUIT_LOG_STATE/", "logical_txt": "Ilmoitettu", "num_value": null, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Informed" }, "logType": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "CIRCUIT_LOG_ENTRY", "id": "6730", "list_url": "https://keycom.example.fi/api/v2/txt_constants/groupname/CIRCUIT_LOG_ENTRY/", "logical_txt": "Yhteys poikki", "num_value": null, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Circuit disconnected" }, "loss": null, "routeLocation": null, "sourceSystem": null, "sourceSystemKey": null, "updatedBy": "keycom.user@keypro.fi", "updatedTs": "2015-05-13T16:02:59" }, { "circuit": { "areaCode": "", "contractLength": null, "contractNumber": "", "createdBy": "keycom.user@keypro.fi", "createdTs": "2013-05-13", "customer": { "address": { "address": { "apartments": [ "https://keycom.example.fi/api/v2/apartments/3874/" ], "buildingId": "", "city": "LOVISA", "cityAlt": "", "country": "", "createdBy": "keycom.user@keypro.fi", "createdTs": "2013-05-13T16:02:59", "district": "", "empty": "0", "id": "102170", "listUrl": "https://keycom.example.fi/api/v2/addresses/", "location": null, "municipality": "", "propertyId": "", "province": "", "sourceSystem": null, "sourceSystemKey": null, "streetname": "KLAPPHUSGATAN", "streetnameAlt": "", "streetno": "4", "subdivision": "", "updatedBy": "keycom.user@keypro.fi", "updatedTs": "2018-01-11T18:00:20", "usagePurpose": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "BUILDING_USAGE", "id": "233970", "list_url": "https://keycom.example.fi/api/v2/txt_constants/groupname/BUILDING_USAGE/", "logical_txt": "Asuinrakennus", "num_value": null, "num_value2": null, "num_value3": "1.0", "num_value4": null, "txt": "Residential building" }, "usagePurposeAlt": null, "zipcode": "07940" }, "apartmentDivision": "", "apartmentLetter": "", "apartmentNumber": "", "empty": "1", "id": "3874", "listUrl": "/api/v2/apartments/", "originProperty": "//0000000003874", "originalStreetno": "4", "sourceSystem": null, "sourceSystemKey": null, "usagePurpose": null, "usagePurposeAlt": null, "usageState": null }, "addressAlt": null, "billingName": "", "businessId": "", "createdBy": "keycom.user@keypro.fi", "createdTs": "2013-05-13T16:02:59", "email": "", "id": "35763881", "listUrl": "https://keycom.example.fi/api/v2/customers/", "mobilePhone": "", "name": "Schrowe Von Hellevi", "number": "35763881", "phone": "019 509067", "smsProhibited": null, "telefax": "", "type": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "KN_CUST_TYPE", "id": "6010", "list_url": "https://keycom.example.fi/api/v2/txt_constants/groupname/KN_CUST_TYPE/", "logical_txt": "Yksityishenkilö", "num_value": "1.0", "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Private" }, "updatedBy": "keycom.user@keypro.fi", "updatedTs": "2014-05-13T16:02:59" }, "directLength": null, "id": "38899291", "identifier": "019 509067", "identifierAlt": "", "importance": null, "installationAddresses": [ "https://keycom.example.fi/api/v2/circuitlocations/40752610/" ], "length": null, "listUrl": "https://keycom.example.fi/api/v2/circuits/", "orderNumber": "", "organisation": null, "redundancy": null, "sections": [ { "constructionState": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "KN_CONST_STATE", "id": "6050", "list_url": "https://keycom.example.fi/api/v2/txt_constants/groupname/KN_CONST_STATE/", "logical_txt": "Valmis", "num_value": "1.0", "num_value2": "1.0", "num_value3": null, "num_value4": null, "txt": "Ready" }, "id": "41246102", "listUrl": "https://keycom.example.fi/api/v2/sections/", "name": "0", "usagePurpose": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "USAGE", "id": "14890", "list_url": "https://keycom.example.fi/api/v2/txt_constants/groupname/USAGE/", "logical_txt": "16 perusliittymä", "num_value": "16.0", "num_value2": null, "num_value3": null, "num_value4": null, "txt": "16 perusliittymä" }, "usageState": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "KN_USAGE_STATE", "id": "6310", "list_url": "https://keycom.example.fi/api/v2/txt_constants/groupname/KN_USAGE_STATE/", "logical_txt": "Käytössä", "num_value": "2.0", "num_value2": "1.0", "num_value3": null, "num_value4": null, "txt": "In use" } } ], "updatedBy": "keycom.user@keypro.fi", "updatedTs": "2014-10-27" }, "createdBy": "keycom.user@keypro.fi", "createdTs": "2014-10-22T00:00:00", "description": "Hidastelee satunnainnesti.", "distance": null, "id": "2470", "location": null, "logState": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "CIRCUIT_LOG_STATE", "id": "6770", "list_url": "https://keycom.example.fi/api/v2/txt_constants/groupname/CIRCUIT_LOG_STATE/", "logical_txt": "Ilmoitettu", "num_value": null, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Informed" }, "logType": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "CIRCUIT_LOG_ENTRY", "id": "275990", "list_url": "https://keycom.example.fi/api/v2/txt_constants/groupname/CIRCUIT_LOG_ENTRY/", "logical_txt": "Yhteys hidas", "num_value": null, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Slow connection" }, "loss": null, "routeLocation": null, "sourceSystem": null, "sourceSystemKey": null, "updatedBy": "keycom.user@keypro.fi", "updatedTs": "2014-11-22T00:00:00" } ], "Total": "33" } }, "schema": { "properties": { "Next": { "description": "Url to next page of circuits. Null if No next page exist", "format": "url", "type": "string" }, "Previous": { "description": "Url to previous page of circuits. Null if No previous page exist", "format": "url", "type": "string" }, "Results": { "description": "List of fetched circuits", "items": { "$ref": "#/definitions/CircuitFault" }, "type": "array" }, "Total": { "description": "Total number of circuit", "type": "integer" } }, "type": "object" } }, "401": { "$ref": "#/responses/Http401" } }, "security": [ { "Token": [] } ], "summary": "Get list of circuit faults", "tags": [ "Circuit faults" ] } } } } ````